<?php if ($sandbox_message) : ?>
    <div class="attention">
        <i class="fa fa-exclamation-circle"></i>&nbsp;<?php echo $sandbox_message; ?>
    </div>
<?php endif; ?>
<h2><?php echo $text_card_details; ?></h2>
<div class="content">
    <div id="squareup-notification">
        <div class="text-center information"><i class="fa fa-circle-o-notch fa-spin"></i>&nbsp;<?php echo $text_loading; ?></div>
    </div>
    <form action="<?php echo $action; ?>" method="POST" id="squareup_card_details_form" style="display:none;">
        <table class="form">
            <?php if (!empty($cards)) : ?>
            <tr>
                <td for="squareup_select_card"><?php echo $text_saved_card; ?></td>
                <td>
                    <select class="form-control" name="squareup_select_card" id="squareup_select_card">
                        <option <?php echo !$has_selected_card ? 'selected' : ''; ?> value><?php echo $text_new_card; ?></option>
                        <?php foreach ($cards as $card) { ?>
                            <option value="<?php echo $card['id'];?>" <?php echo $card['selected'] ? 'selected' : ''; ?>><?php echo $card['text']; ?></option>
                        <?php } ?>
                    </select>
                </td>
            </tr>
            <?php endif; ?>

            <tr class="hide-card-details" <?php echo $has_selected_card ? 'style="display: none;"' : ''; ?>>
                <td for="id_card_number"><?php echo $text_card_number; ?></td>
                <td><div id="id_card_number"></div></td>
            </tr>
            <tr class="hide-card-details" <?php echo $has_selected_card ? 'style="display: none;"' : ''; ?>>
                <td for="id_card_expiry"><?php echo $text_card_expiry; ?></td>
                <td><div id="id_card_expiry"></div></td>
            </tr>
            <tr class="hide-card-details" <?php echo $has_selected_card ? 'style="display: none;"' : ''; ?>>
                <td for="id_cvc"><?php echo $text_card_cvc; ?></td>
                <td><div id="id_cvc"></div></td>
            </tr>
            <tr class="hide-card-details" <?php echo $has_selected_card ? 'style="display: none;"' : ''; ?>>
                <td for="id_card_zip_code"><?php echo $text_card_zip; ?></td>
                <td><div id="id_card_zip_code"></div></td>
            </tr>
            <?php if ($is_logged) : ?>
                <tr class="hide-card-details" <?php echo $has_selected_card ? 'style="display: none;"' : ''; ?>>
                    <td for="squareup_save_card"><?php echo $text_card_save; ?></td>
                    <td>
                        <input type="checkbox" id="squareup_save_card" value="1" name="squareup_save_card"/>
                    </td>
                </tr>
            <?php endif; ?>
        </table>
        <input type="hidden" name="squareup_nonce" id="squareup_nonce"/>
    </form>
</div>
<div class="buttons">
    <div class="right">
        <input type="button" value="<?php echo $button_confirm; ?>" id="button-confirm-order" data-previous-value="<?php echo $button_confirm; ?>" data-loading-text="<?php echo $text_loading; ?>" class="button">
    </div>
</div>
<style>
    .text-center {
        text-align: center;
    }

    div.information {
        background: #d9edf7;
        border: 1px solid #bce8f1;
        color: #31708f;
        -webkit-border-radius: 5px 5px 5px 5px;
        -moz-border-radius: 5px 5px 5px 5px;
        -khtml-border-radius: 5px 5px 5px 5px;
        border-radius: 5px 5px 5px 5px;
    }

    #squareup_card_details_form .form-control {
        background: #F8F8F8;
        border: 1px solid #CCCCCC;
        padding: 3px;
        margin-left: 0px;
        margin-right: 0px;
        min-height: 1.7em;
    }

    .form-control--focus {
        /* Indicates how form inputs should appear when they have focus */
        outline: 5px auto rgb(59, 153, 252);
    }
    .form-control--error {
        /* Indicates how form inputs should appear when they contain invalid values */
        outline: 5px auto rgb(255, 97, 97);
    }
</style>
<script type="text/javascript">
    $(document).ready(function() {
        var app_id = '<?php echo $app_id; ?>';

        var paymentFormSettings = {
            applicationId: app_id,
            inputClass: 'form-control',
            inputStyles: [{
                fontSize: '15px'
            }],
            cardNumber: {
                elementId: 'id_card_number',
                placeholder: '•••• •••• •••• ••••'
            },
            cvv: {
                elementId: 'id_cvc',
                placeholder: 'CVV'
            },
            expirationDate: {
                elementId: 'id_card_expiry',
                placeholder: 'MM/YY'
            },
            postalCode: {
                elementId: 'id_card_zip_code'
            },
            callbacks: {
                // Called when the SqPaymentForm completes a request to generate a card
                // nonce, even if the request failed because of an error.
                cardNonceResponseReceived: function(errors, nonce, cardData) {
                    if (errors) {
                        var message = '';

                        errors.forEach(function(error) {
                            message += error.message + '. ';
                        });

                        squareupError(message);
                    } else {
                        // No errors occurred. Extract the card nonce.
                        $('#squareup_nonce').val(nonce);
                        submitForm();
                    }
                },

                unsupportedBrowserDetected: function() {
                    squareupError("<?php echo $error_browser_not_supported; ?>");
                    // Fill in this callback to alert buyers when their browser is not supported.
                },

                paymentFormLoaded: function() {
                    // Fill in this callback to perform actions after the payment form is
                    // done loading (such as setting the postal code field programmatically).
                    paymentForm.setPostalCode('<?php echo $payment_zip; ?>');

                    $('#squareup-notification').empty();
                    $('#squareup_card_details_form').css('display', 'block');
                }
            }
        };

    function submitForm() {
        var form = '#squareup_card_details_form';

        $.ajax({
            url : $(form).attr('action'),
            dataType : 'json',
            type : $(form).attr('method'),
            data : $(form).serialize(),
            beforeSend : function() {
                var previousVal = $('#button-confirm-order').attr('value');
                var loadingVal = $('#button-confirm-order').attr('data-loading-text');

                $('#button-confirm-order').attr('disabled', true).val(loadingVal);
            },
            success : function(json) {
                if (json.error) {
                    squareupError(json.error);
                } else if (json.redirect) {
                    document.location = json.redirect;
                }
            },
            error : function(jqXHR, ajaxSettings, thrownError) {
                squareupError(thrownError);
            },
            complete : function() {
                var previousVal = $('#button-confirm-order').attr('data-previous-value');

                $('#button-confirm-order').attr('disabled', false).val(previousVal);
            }
        });
    }

    function onScriptLoad() {
        // paymentForm must be global
        paymentForm = new SqPaymentForm(paymentFormSettings);
        paymentForm.build();
    }

    function onConfirmCheckout() {
        if ($('#squareup_select_card').val()) {
            submitForm();
        } else {
            paymentForm.requestCardNonce();
        }
    }

    function squareupError(error) {
        var previousVal = $('#button-confirm-order').attr('data-previous-value');
                
        $('#button-confirm-order').attr('disabled', false).val(previousVal);

        $('#squareup-notification').html('<div class="warning"><i class="fa fa-exclamation-circle"></i>&nbsp;' + error + '</div>');
    }

    function toggleAjaxSetup(status) {
        $.ajaxSetup({
            cache: status
        });
    }

    function initSquareup(init_ajax_setup) {
        if (typeof paymentForm != 'undefined') {
            paymentForm.destroy();
            onScriptLoad();
            return;
        }

        toggleAjaxSetup(false);
        
        var script = document.createElement('script');
        script.type="text/javascript";
        $("head")[0].append(script);
        script.onload = onScriptLoad;
        script.src="<?php echo $squareup_js_api; ?>";
        script.async = true;
        toggleAjaxSetup(init_ajax_setup);
    }

    $('#button-confirm-order').unbind().click(function(e) {
        e.preventDefault();
        e.stopPropagation();

        $('#squareup-notification').empty();
        var previousVal = $('#button-confirm-order').attr('value');
        var loadingVal = $('#button-confirm-order').attr('data-loading-text');

        $('#button-confirm-order').attr('disabled', true).val(loadingVal);

        onConfirmCheckout();
    });

    $('#squareup_select_card').change(function() {
        if ($(this).val()) {
            $('.hide-card-details').css('display', 'none');
        } else {
            $('.hide-card-details').css('display', 'table-row');
        }
    });

    window.addEventListener("error", function (e) {
       return false;
    });

    initSquareup($.ajaxSetup().cache);
});
</script>