<?php

function squareup_validate() {
    if (!getenv("SQUARE_CRON")) {
        die("Not in Command Line." . PHP_EOL);
    }
}

function squareup_chdir($current_dir) {
    $root_dir = dirname(dirname(dirname(dirname($current_dir))));

    chdir($root_dir);

    return $root_dir;
}

function squareup_define_route() {
    require_once DIR_CONFIG . 'vendor/squareup.php';

    define('SQUAREUP_ROUTE', $_['squareup_route'] . '/recurring');
}

function squareup_init($current_dir) {
    // Validate environment
    squareup_validate();

    // Set up default server vars
    $_SERVER["HTTP_HOST"] = getenv("CUSTOM_SERVER_NAME");
    $_SERVER["SERVER_NAME"] = getenv("CUSTOM_SERVER_NAME");
    $_SERVER["SERVER_PORT"] = getenv("CUSTOM_SERVER_PORT");

    putenv("SERVER_NAME=" . $_SERVER["SERVER_NAME"]);

    // Change root dir
    $root_dir = squareup_chdir($current_dir);

    define('SQUAREUP_ROUTE', 'payment/squareup/recurring');

    $_GET['route'] = SQUAREUP_ROUTE;

    // Load OpenCart index
    if (is_file($root_dir . '/index.php')) {
        return $root_dir . '/index.php';
    } else {
        die("index.php file not found.");
    }

    return '';
}